Mailinglist Archive: opensuse-factory (437 mails)

< Previous Next >
Re: [opensuse-factory] Proposal mlt framework update
On Fri, 17 Apr 2015 13:59:36 +0200
Raymond Wooninck <tittiatcoke@xxxxxxxxx> wrote:

With the latest KDE Applications release, a lot more applications are
now based on the Qt5 and KDE Frameworks 5. This also affects the
dependencies of these packages as that Qt5 and Qt4 should not really
be mixed for a single package (e.g. building a package for Qt5, but
a needed library still links to Qt4). This is causing crashes and
instabilitiy.

The mlt framework is such a needed library which is currently build
against Qt4, but the kdenlive package from KDE Applications is now
based on Qt5.

The latest version of the mlt framework is 0.9.6 and can be build
against Qt5, therefore I would like to propose to upgrade the package
in multimedia:libs and then for oS versions higher than 13.2, to
build it against Qt5. For the older openSUSE versions, it would still
be build against Qt4.

Before submitting such change, I would like to validate if the change
to Qt5 is fine.

Regards

Raymond

Hi Raymond,
Yast already uses for UI qt5, so I think it is fine to build mlt also
against qt5 as more and more application start using it, so we ideally
should use qt5 as standard and also as exception build against qt4 for
packages that are not yet adapted.

Josef
--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >
References